Skip to content
Navigation

Register push token

POST
https://api.sureshake.com/v2/notifications/push-tokens

Request body JSON required

  • expoPushToken
    string
    required
    minLength: 1
  • platform
    optional
    ios
    or
    android
    or
    web
    or
    unknown
    default: "unknown"
  • deviceId
    optional
    string
    or null
    maxLength: 255
  • appId
    optional
    string
    or null
    maxLength: 255

Returns

200

Default Response

JSON
  • success
    boolean
    required

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close